aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-03-26 00:37:04 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2007-03-26 00:37:04 +0000
commit7bce7e43f13929ea59031de31999d332df64db46 (patch)
treede9ab7db3ff0215af06afa171bbd5510884095d0
parent34a45941559172d374ed757cdc37364a98c21eca (diff)
downloadpaludis-7bce7e43f13929ea59031de31999d332df64db46.tar.gz
paludis-7bce7e43f13929ea59031de31999d332df64db46.tar.xz
Don't try to create PALUDIS_TMPDIR ourselves. Fixes: ticket:166
-rw-r--r--paludis/repositories/gentoo/ebuild/builtin_init.bash17
1 files changed, 17 insertions, 0 deletions
diff --git a/paludis/repositories/gentoo/ebuild/builtin_init.bash b/paludis/repositories/gentoo/ebuild/builtin_init.bash
index a4891bc..9c6859f 100644
--- a/paludis/repositories/gentoo/ebuild/builtin_init.bash
+++ b/paludis/repositories/gentoo/ebuild/builtin_init.bash
@@ -37,6 +37,23 @@ builtin_init()
die "\$${a} (\"${!a}\") exists but is not a directory"
done
+ for a in PALUDIS_TMPDIR ; do
+ if ! [[ -d "${!a}" ]] ; then
+ PALUDIS_EXTRA_DIE_MESSAGE="
+!!! '${!a}' should be a directory, but does not exist. For,
+!!! security reasons, Paludis will not try to create this directory
+!!! automatically. Please create it by hand and give it appropriate
+!!! permissions. Typically you should use:
+!!! mkdir ${!a}
+!!! chgrp paludisbuild ${!a}
+!!! chmod g+rwx ${!a}
+!!! chmod +s ${!a}
+!!! although other values may be more appropriate for your system.
+"
+ die "\$${a} (\"${!a}\") not a directory"
+ fi
+ done
+
if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" ]] ; then
if type -p chflags &>/dev/null; then
chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}" || die "Couldn't remove flags from workdir"